PIRL.Conductor.Maestro

## Class Remote_Management_Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - PIRL.Conductor.Maestro.Remote_Management_Exception

All Implemented Interfaces:
  Serializable

    public class Remote_Management_Exception
    extends RuntimeException

A Remote_Management_Exception is thrown when a Remote_Theater Management interface method call is unable to fullfill the interface requirements.

See Also:
  `Remote_Theater`, Serialized Form

### Field Summary

Fields
`static String` `ID`

### Constructor Summary

Constructors
Constructor and Description
`Remote_Management_Exception(String message)`
`Remote_Management_Exception(String message, Throwable cause)`
`Remote_Management_Exception(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

See Also:
  Constant Field Values

### Constructor Detail

#### Remote_Management_Exception

    public Remote_Management_Exception(String message)

#### Remote_Management_Exception

    public Remote_Management_Exception(String message,
                               Throwable cause)

#### Remote_Management_Exception

    public Remote_Management_Exception(Throwable cause)